# ClockStep

#### ClockStep()
Core/ClockStep.js 16

Constants to determine how much time advances with each call to `Clock#tick`.

##### See:

- Clock
- ClockRange

### Members

#### static constantCesium.ClockStep.SYSTEM_CLOCK : Number
Core/ClockStep.js 42

`Clock#tick` sets the clock to the current system time; ignoring all other settings.

#### static constantCesium.ClockStep.SYSTEM_CLOCK_MULTIPLIER : Number
Core/ClockStep.js 33

`Clock#tick` advances the current time by the amount of system time elapsed since the previous call multiplied by `Clock#multiplier`.

#### static constantCesium.ClockStep.TICK_DEPENDENT : Number
Core/ClockStep.js 24

`Clock#tick` advances the current time by a fixed step, which is the number of seconds specified by `Clock#multiplier`.